package com.huangx.dubbo.provider;

import com.huangx.dubbo.hello.HelloService;
import com.alibaba.dubbo.rpc.RpcContext;

import java.text.SimpleDateFormat;
import java.util.Date;


/**
 * 服务实现
 */
public class HelloServiceImpl implements HelloService {

	public String sayHello(String name) {
		SimpleDateFormat sdf = new SimpleDateFormat("HH:mm:ss");
		System.out.println("[" + sdf.format(new Date()) + "] Hello " + name
				+ ", request from consumer: "
				+ RpcContext.getContext().getRemoteAddress());

		return "Hello " + name + ", response from provider: "
				+ RpcContext.getContext().getLocalAddress();
	}

}
